## kexi 3.2.0

=== doc/kexi/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kexi)

=== src/core/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44020)

set(kexicore_LIB_SRCS
   KexiGlobal.cpp
   kexi.cpp
   kexiaboutdata.cpp
   KexiMainWindowIface.cpp
   KexiStandardAction.cpp
   kexidbconnectionset.cpp
   kexiprojectset.cpp
   kexiactionproxy.cpp
   kexisharedactionhost.cpp
   kexiactioncategories.cpp
   kexiproject.cpp
   KexiWindow.cpp
   KexiWindowData.cpp
   KexiView.cpp
   kexipartmanager.cpp
   kexipartinfo.cpp
   kexipartitem.cpp
   kexipartbase.cpp
   kexipart.cpp
   kexipartguiclient.cpp
   kexiprojectdata.cpp
   KexiRecentProjects.cpp
   kexiinternalpart.cpp
   kexidragobjects.cpp
   kexistartupdata.cpp
   KexiCommandLineOptions.cpp
   kexiguimsghandler.cpp
   kexitextmsghandler.cpp
   kexidataiteminterface.cpp
   kexidbshortcutfile.cpp
   kexiblobbuffer.cpp
   #TODO KEXI3 kexistaticpart.cpp
   kexitabledesignerinterface.cpp
   kexisearchandreplaceiface.cpp
   kexitemplateloader.cpp
   KexiRecordNavigatorHandler.cpp
   KexiRecordNavigatorIface.cpp
   KexiSearchableModel.cpp
   KexiGroupButton.cpp #TODO belongs to widget/?
   KexiFileFilters.cpp
)

kexi_add_library(kexicore SHARED ${kexicore_LIB_SRCS})

generate_export_header(kexicore)

target_link_libraries(kexicore
    PUBLIC
        Qt5::Core
        Qt5::Gui
        Qt5::Widgets

        KF5::CoreAddons
        KF5::XmlGui

        kexiutils

        KDb
        KPropertyCore
)

if(WIN32)
    target_link_libraries(kexicore
        PUBLIC
            kdewin
    )
endif()

install(TARGETS kexicore  ${INSTALL_TARGETS_DEFAULT_ARGS})
#install(FILES kexihandler.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== src/data/CMakeLists.txt ===
# Adds app icons, updates target sources for kexi target
macro(kexi_add_app_icons)
    set(_sizes 16 32 48 64 128 256)
    if(NOT APPLE)
        # Add larger icons. Not on Mac because iconutil is limited to 256x256 on at least
        # OS X 10.9; that size is probably large enough not to bother testing for OS version here.
        list(APPEND _sizes 512 1024)
    endif()
    unset(_copy_commands)
    unset(_source_files)
    unset(_files)
    foreach(_size ${_sizes})
        list(APPEND _copy_commands
             COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/data/${_size}-apps-kexi.png
             ${CMAKE_CURRENT_BINARY_DIR}/data/${_size}-apps-kexi-${KEXI_DISTRIBUTION_VERSION}.png)
        list(APPEND _source_files ${CMAKE_CURRENT_SOURCE_DIR}/data/${_size}-apps-kexi.png)
        list(APPEND _files ${CMAKE_CURRENT_BINARY_DIR}/data/${_size}-apps-kexi-${KEXI_DISTRIBUTION_VERSION}.png)
    endforeach()
    add_custom_target(copy_app_icons ${_copy_commands}
        DEPENDS "${_source_files}"
        SOURCES "${_source_files}"
        COMMENT "Preparing app icon files for version ${KEXI_DISTRIBUTION_VERSION}"
        VERBATIM
    )
    add_dependencies(kexi copy_app_icons)
    ecm_add_app_icon(
        _source_var ICONS ${_source_files}) # Win/Mac: still install copied KEXI files (_files)
                                            # BUT add the original ones (_source_files) to the binary
                                            # because the copied ones do not exist yet before
                                            # ecm_add_app_icon() gets called
    ecm_install_icons(ICONS ${_files}
                      DESTINATION ${ICON_INSTALL_DIR}
                      THEME hicolor)
    target_sources(kexi PRIVATE ${_source_var})
    unset(_files)
    unset(_source_files)
    unset(_sizes)
    unset(_source_var)
endmacro()

# Adds metadata files to the source_var list
macro(kexi_add_app_metadata_files source_var)
    list(APPEND ${source_var}
         ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kexi.desktop.cmake
         ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kexi.appdata.xml.cmake)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kexi.appdata.xml.cmake
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kexi-${KEXI_DISTRIBUTION_VERSION}.appdata.xml)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kexi.desktop.cmake
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kexi-${KEXI_DISTRIBUTION_VERSION}.desktop)

    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kexi-${KEXI_DISTRIBUTION_VERSION}.desktop
            DESTINATION ${XDG_APPS_INSTALL_DIR})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kexi-${KEXI_DISTRIBUTION_VERSION}.appdata.xml
            DESTINATION ${CMAKE_INSTALL_METAINFODIR})
endmacro()

=== src/formeditor/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src/widget ${CMAKE_SOURCE_DIR}/src/widget/utils
${CMAKE_SOURCE_DIR}/src/widget/tableview ${CMAKE_SOURCE_DIR}/src/core)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44010)

# enable to add signal/slot connections
# set(KFD_SIGSLOTS true)

########### next target ###############

set(kformdesigner_LIB_SRCS
   container.cpp
   resizehandle.cpp
   widgetfactory.cpp
   widgetlibrary.cpp
   KexiFormWidgetsPluginMetaData.cpp
   WidgetInfo.cpp
   libactionwidget.cpp
   form.cpp
   form_p.cpp
   objecttree.cpp
   formIO.cpp
   FormWidget.cpp
   FormWidgetInterface.cpp
   WidgetTreeWidget.cpp
   commands.cpp
   events.cpp
   richtextdialog.cpp
   tabstopdialog.cpp
#KEXI_LIST_FORM_WIDGET_SUPPORT:   editlistviewdialog.cpp
   utils.cpp
#todo   kfdpixmapedit.cpp
   widgetwithsubpropertiesinterface.cpp
   kexiformeventhandler.cpp # from libkexiformutils
   kexiactionselectiondialog.cpp # from libkexiformutils
)

set(kformdesigner_LIBS
  kexiutils
  kexicore
  kexiextendedwidgets
  kexiundo
)

if(KFD_SIGSLOTS)
  add_definitions(
    -DKFD_SIGSLOTS=1
  )
  list(APPEND kformdesigner_LIB_SRCS connectiondialog.cpp)
  list(APPEND kformdesigner_LIBS kexiextendedwidgets kexidatatable)
endif()

kexi_add_library(kformdesigner SHARED ${kformdesigner_LIB_SRCS})

generate_export_header(kformdesigner)

target_link_libraries(kformdesigner ${kformdesigner_LIBS})

install(TARGETS kformdesigner  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/kexiutils/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44024)

include_directories(completer)

set(kexiutils_LIB_SRCS
  utils.cpp
  FontSettings_p.cpp
  InternalPropertyMap.cpp
  SmallToolButton.cpp
  KexiCommandLinkButton.cpp
  FlowLayout.cpp
  transliteration_table.cpp
  kmessagewidget.cpp
  KexiContextMessage.cpp
  KexiTitleLabel.cpp
  KexiLinkWidget.cpp
  KexiLinkButton.cpp
  KexiCloseButton.cpp
  KexiAssistantPage.cpp
  KexiAssistantWidget.cpp
  KexiAnimatedLayout.cpp
  KexiCategorizedView.cpp
  KexiTester.cpp
  KexiJsonTrader.cpp
  KexiPushButton.cpp
  KexiFadeWidgetEffect.cpp
  KexiPluginMetaData.cpp

  completer/KexiCompleter.cpp
)

if(SHOULD_BUILD_KEXI_MOBILE_APP)
  if (KEXI_DEBUG_GUI)
    list(APPEND kexiutils_LIB_SRCS
      debuggui.cpp
    )
  endif ()
endif ()

if(BUILD_TESTING)
    list(APPEND kexiutils_LIB_SRCS
      KexiTestHandler.cpp
    )
endif()

kexi_add_library(kexiutils SHARED ${kexiutils_LIB_SRCS})

set(kexiutils_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}
)

target_include_directories(kexiutils
    PUBLIC "$<BUILD_INTERFACE:${kexiutils_INCLUDE_DIRS}>"
)

target_link_libraries(kexiutils
    PUBLIC
        KF5::IconThemes
        KF5::WidgetsAddons
        KF5::ConfigWidgets # KStandardAction KColorScheme
        KF5::I18n
        KF5::ItemViews # KCategorizedView KCategoryDrawer
        KDb
)
if(SHOULD_BUILD_KEXI_DESKTOP_APP)
    target_link_libraries(kexiutils
        PUBLIC
            KF5::KIOWidgets #for KRun...
        PRIVATE
            KF5::KIOFileWidgets # KFileWidget::getStartUrl(), KRecentDirs
    )
#target_link_libraries(kexiutils LINK_INTERFACE_LIBRARIES KF5::KIOWidgets)
endif()

if(BUILD_TESTING)
    target_link_libraries(kexiutils
        PRIVATE
            Qt5::Test
    )
endif()

generate_export_header(kexiutils)

install(TARGETS kexiutils  ${INSTALL_TARGETS_DEFAULT_ARGS})

if(FALSE) # TODO: install when we move to independent place
    install( FILES  tristate.h utils.h kexiutils_export.h kexiutils_global.h
    InternalPropertyMap.h
    SmallToolButton.h FlowLayout.h
    kmessagewidget.h KexiContextMessage.h KexiTitleLabel.h KexiAssistantPage.h
    KexiAssistantWidget.h KexiAnimatedLayout.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kexiutils COMPONENT Devel)
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/main/CMakeLists.txt ===
#TODO add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44019)

include_directories(${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/kexiutils
${CMAKE_SOURCE_DIR}/src/main ${CMAKE_SOURCE_DIR}/src/main/startup
${CMAKE_SOURCE_DIR}/src/widget ${CMAKE_BINARY_DIR}/src/widget)

set(QT_USE_QTUITOOLS true)

set(keximain_LIB_SRCS
    KexiMainWindow.cpp
    KexiMainWindow_p.cpp
    KexiMenuWidget.cpp
    kexifinddialog.cpp
    KexiSearchLineEdit.cpp
    KexiUserFeedbackAgent.cpp
    KexiBugReportDialog.cpp

    startup/KexiNewProjectAssistant.cpp
    startup/KexiOpenProjectAssistant.cpp
    startup/KexiWelcomeAssistant.cpp
    startup/KexiWelcomeStatusBar.cpp
    startup/KexiImportExportAssistant.cpp
    startup/KexiStartup.cpp
    startup/KexiTemplatesModel.cpp
    startup/KexiRecentProjectsModel.cpp
    startup/KexiAssistantMessageHandler.cpp
    startup/KexiPasswordPage.cpp

    #todo printing/kexisimpleprintingengine.cpp
    #todo printing/kexisimpleprintingpagesetup.cpp
    #todo printing/kexisimpleprintingpart.cpp
    #todo printing/kexisimpleprintpreviewwindow.cpp
)

ki18n_wrap_ui(keximain_LIB_SRCS
    kexifinddialog.ui
    startup/KexiProjectStorageTypeSelectionPage.ui
    startup/KexiServerDBNamePage.ui
    startup/KexiMainImportExportPage.ui
)

kexi_add_library(keximain SHARED ${keximain_LIB_SRCS})

generate_export_header(keximain)

target_link_libraries(keximain
PUBLIC
    kexicore

PRIVATE
    kexiextendedwidgets
    kexiguiutils

    KF5::GuiAddons

    Qt5::UiTools
)
if(HAVE_KCRASH)
  target_link_libraries(keximain
      PRIVATE
          KF5::Crash
  )
endif()

target_compile_definitions(keximain PRIVATE CMAKE_CURRENT_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")
install(TARGETS keximain  ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(status)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== src/mobile/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui)

include_directories( ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src/core
    ${CMAKE_SOURCE_DIR}/src/widget
)

set(KexiMobile_SRCS main.cpp
    KexiMobileMainWindow.cpp
    KexiMobileWidget.cpp
    KexiMobileNavigator.cpp
    KexiMobileToolbar.cpp
)

kexi_add_executable(keximobile ${KexiMobile_SRCS})

target_link_libraries(keximobile
    kexiextendedwidgets
    kexicore
)

install(TARGETS keximobile ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/pics/CMakeLists.txt ===
set(_target "kexi_breeze")
set(_theme "breeze")
set(_prefix)
set(_BASE_DIR ${CMAKE_CURRENT_BINARY_DIR}/resource)
set(_QRC_FILE "${_BASE_DIR}/${_target}.qrc")
set(_RCC_DIR "${CMAKE_BINARY_DIR}/bin/data/${KEXI_BASE_PATH}/icons")
set(_RCC_FILE "${_RCC_DIR}/${_target}.rcc")
include(kexi_breeze_files.cmake)

file(GLOB _PG_CONFIG_HEADERS "${PostgreSQL_INCLUDE_DIR}/pg_config*.h")

add_custom_target(copy_icons
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${_BASE_DIR}
    COMMAND ${CMAKE_COMMAND} -E make_directory ${_BASE_DIR}
    COMMAND ${CMAKE_COMMAND} -E make_directory ${_RCC_DIR}
    COMMAND ${CMAKE_COMMAND} -E copy_directory . ${_BASE_DIR}
    # Don't include other files
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/CMakeLists.txt
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/colorize.cmake
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/kexi_breeze_files.cmake
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/update_kexi_breeze_list.sh
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/icons/${_prefix}/${_theme}/files.cmake
    DEPENDS "${_FILES}"
    SOURCES "${_FILES}"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    COMMENT "Copying icon files to ${_BASE_DIR}"
    VERBATIM
)

add_custom_command(OUTPUT "${status_rcc}"
    COMMAND ${CMAKE_COMMAND} -E copy_if_different calligra-logo-white-glow.png ${_BASE_DIR}
    DEPENDS "${status_qrc}"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    COMMENT "Building external Qt resource ${status_rcc}"
    VERBATIM)

add_custom_target(colorize_icons
    COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_CURRENT_SOURCE_DIR}/colorize.cmake
    DEPENDS "${_FILES}"
    SOURCES colorize.cmake
    WORKING_DIRECTORY "${_BASE_DIR}"
    COMMENT "Colorizing icons in ${_BASE_DIR}"
    VERBATIM
)
add_dependencies(colorize_icons copy_icons)

add_custom_target(build_qrc
    COMMAND ${Qt5Core_RCC_EXECUTABLE} --project -o "${CMAKE_CURRENT_BINARY_DIR}/${_target}.qrc"
    # avoid adding the .qrc file to rcc due to rcc misfeature
    COMMAND ${CMAKE_COMMAND} -E rename "${CMAKE_CURRENT_BINARY_DIR}/${_target}.qrc" "${_QRC_FILE}"
    DEPENDS "${_FILES}"
    SOURCES "${_FILES}"
    WORKING_DIRECTORY "${_BASE_DIR}"
    COMMENT "Building Qt resource file ${_QRC_FILE}"
    VERBATIM
)
add_dependencies(build_qrc colorize_icons)

add_custom_target(build_rcc
    COMMAND ${Qt5Core_RCC_EXECUTABLE} --compress 9 --threshold 0 --binary
            --output "${_RCC_FILE}" "${_QRC_FILE}"
    DEPENDS "${_QRC_FILE}" "${_FILES}"
    WORKING_DIRECTORY "${_BASE_DIR}"
    COMMENT "Building external Qt resource ${_RCC_FILE}"
    VERBATIM
)
add_dependencies(build_rcc build_qrc)

add_dependencies(kexi build_rcc)

install(FILES
        ${_RCC_FILE}
        DESTINATION "${ICONS_INSTALL_DIR}"
)

add_update_file_target(
    TARGET update_kexi_breeze
    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/update_kexi_breeze_list.sh" kexi_breeze_files.cmake
    FILE kexi_breeze_files.cmake
    SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/update_kexi_breeze_list.sh"
)
add_dependencies(update_all_rcc update_${_target})

unset(_BASE_DIR)
unset(_QRC_FILE)
unset(_RCC_FILE)
unset(_target)
unset(_theme)
unset(_prefix)

=== src/main/autotests/CMakeLists.txt ===
ecm_add_tests(
    GlobalSearchTest.cpp
    LINK_LIBRARIES
        Qt5::Test
        keximain
        kexiextendedwidgets
)
target_compile_definitions(GlobalSearchTest
    PRIVATE
        CURRENT_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}"
        FILES_OUTPUT_DIR="${CMAKE_CURRENT_BINARY_DIR}"
)

=== src/main/status/CMakeLists.txt ===
set(status_qrc "${CMAKE_CURRENT_SOURCE_DIR}/status.qrc")
set(status_prefix "${KEXI_BASE_PATH}/status")
set(status_rcc_dir "${CMAKE_BINARY_DIR}/bin/data/${status_prefix}")
set(status_rcc "${status_rcc_dir}/status.rcc")

add_custom_target(makedir_status_rcc
    COMMAND ${CMAKE_COMMAND} -E make_directory ${status_rcc_dir}
)

if(${Qt5Core_VERSION} VERSION_LESS 5.5.0)
    add_custom_command(OUTPUT "${status_rcc}"
        COMMAND "${Qt5Core_RCC_EXECUTABLE}" --binary --verbose --output "${status_rcc}" "${status_qrc}"
        DEPENDS "${status_qrc}"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        COMMENT "Building external Qt resource ${status_rcc}"
        VERBATIM)
    add_custom_target(build_status_rcc DEPENDS "${status_rcc}" SOURCES "${status_qrc}")
else()
    qt5_add_binary_resources(build_status_rcc "${status_qrc}" OPTIONS -binary DESTINATION "${status_rcc}")
endif()

add_dependencies(build_status_rcc makedir_status_rcc)
add_dependencies(keximain build_status_rcc)

install(FILES
        status.ui
        contribution_details.ui
        contribution_help.ui
        status_strings.ui
        ${status_rcc}
        DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/${status_prefix}")

=== src/migration/postgresql/CMakeLists.txt ===
set(keximigrate_postgresql_PART_SRCS
    PostgresqlMigrate.cpp
    keximigrate_postgresql.json
    Messages.sh
)

build_and_install_kexi_migrate_driver(postgresql
    "${keximigrate_postgresql_PART_SRCS}"
    "${POSTGRESQL_LIBRARIES}"
    "${PostgreSQL_INCLUDE_DIRS}"
    ""
)

=== src/migration/sybase/CMakeLists.txt ===
include_directories( ${FreeTDS_INCLUDE_DIR} )

########### next target ###############

set(keximigrate_sybase_PART_SRCS
    sybasemigrate.cpp
    Messages.sh
)

add_library(keximigrate_sybase MODULE ${keximigrate_sybase_PART_SRCS})

target_link_libraries(keximigrate_sybase ${FreeTDS_LIBRARIES}
                      kexiutils keximigrate KDb)

install(TARGETS keximigrate_sybase  DESTINATION ${KEXI_PLUGIN_INSTALL_DIR})

=== debian/changelog ===
kexi (1:3.2.0-5) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113075)
  * Tweak watch file so it works with newer versions of uscan.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:42:10 +0200

kexi (1:3.2.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop kexi-web-form-widget package. (Closes: #1093534)

 -- Bastian Germann <bage@debian.org>  Fri, 31 Jan 2025 21:12:01 +0100

kexi (1:3.2.0-4) unstable; urgency=medium

  * Drop the unused libpqxx-dev build dependency.
  * Use secure URI in Homepage field.
  * Update standards version to 4.7.0, no changes needed.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 09:11:53 +0200

kexi (1:3.2.0-3) unstable; urgency=medium

  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Backport upstream commit 73d3fa8e7a1028c89b20c74f6444a76a722d8041 to fix
    build with glib >= 2.68; patch
    upstream_Include-glib.h-outside-of-the-extern-block.patch.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 19:21:24 +0200

kexi (1:3.2.0-2) unstable; urgency=medium

  * Use the Debian postgresql-common stuff to force the default version of
    PostgreSQL:
    - invoke /usr/share/postgresql-common/supported-versions, getting the
      default version of it
    - pass -DPostgreSQL_ADDITIONAL_VERSIONS to cmake
    - drop upstream_cmake-find-PostgreSQL-12.patch, no more needed now
  * Add the libkf5doctools-dev build dependency to install the documentation
    - update kexi-data.install accordingly
    - pass -DSHOULD_BUILD_DOC=ON to cmake to enable also the English
      documentation
  * Small copyright update.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Nov 2019 08:38:43 +0100

kexi (1:3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the libkdb3-dev, libkproperty3-dev, and libkreport3-dev build
    dependencies to >= 3.1.91~.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11-missing-headers.patch: drop, backported
      from upstream
    - upstream_Install-the-application-icons.patch: drop, backported from
      upstream
    - upstream_cmake-find-PostgreSQL-11.patch: drop, backported from upstream
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Backport upstream commit a86e74fc6364f3ac4adbbf6712eb4f348e68e308 to build
    with newer KF; patch upstream_Fix-build-with-Qt-5.13.patch.
  * Backport upstream commit 88ac2b4a1386bc05f0e3965f31949039eaf4d3ff to find
    PostgreSQL 12; patch upstream_cmake-find-PostgreSQL-12.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 28 Oct 2019 22:56:31 +0100

=== debian/control ===
Source: kexi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: breeze-icon-theme-rcc,
               cmake (>= 3.0),
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               extra-cmake-modules (>= 1.8.0),
               gettext,
               libglib2.0-dev,
               libkdb3-dev (>= 3.1.91~),
               libkf5archive-dev (>= 5.16.0),
               libkf5codecs-dev (>= 5.16.0),
               libkf5completion-dev (>= 5.16.0),
               libkf5config-dev (>= 5.16.0),
               libkf5configwidgets-dev (>= 5.16.0),
               libkf5coreaddons-dev (>= 5.16.0),
               libkf5crash-dev (>= 5.16.0),
               libkf5doctools-dev,
               libkf5guiaddons-dev (>= 5.16.0),
               libkf5i18n-dev (>= 5.16.0),
               libkf5iconthemes-dev (>= 5.16.0),
               libkf5itemviews-dev (>= 5.16.0),
               libkf5kio-dev (>= 5.16.0),
               libkf5texteditor-dev (>= 5.16.0),
               libkf5textwidgets-dev (>= 5.16.0),
               libkf5widgetsaddons-dev (>= 5.16.0),
               libkf5xmlgui-dev (>= 5.16.0),
               libkproperty3-dev (>= 3.1.91~),
               libkreport3-dev (>= 3.1.91~),
               libpq-dev,
               pkgconf,
               pkg-kde-tools (>= 0.15.16),
               postgresql-server-dev-all,
               qtbase5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0),
Standards-Version: 4.7.2
Homepage: https://www.kexi-project.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kexi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kexi

Package: kexi
Architecture: any
Section: database
Depends: kexi-data (>= ${source:Version}),
         breeze-icon-theme-rcc,
         libkdb3-driver-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-mysql-driver,
          kexi-postgresql-driver,
Description: visual database applications builder
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 KEXI is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.

Package: kexi-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for kexi
 This package contains architecture-independent data files for KEXI, the
 database program shipped with the Calligra Suite.
 .
 See the 'kexi' package for further information.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-mysql, ${misc:Depends}, ${shlibs:Depends}
Description: MySQL support for kexi
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 This package provides support for MySQL in KEXI.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-postgresql, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL support for kexi
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 This package provides support for PostgreSQL in KEXI.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEFAULT_PGSQL_VERSION = $(lastword $(shell /usr/share/postgresql-common/supported-versions))

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DBUILD_TESTING=OFF \
		-DKEXI_QTGUI_RUNTIME_AVAILABLE=OFF \
		-DPostgreSQL_ADDITIONAL_VERSIONS=$(DEFAULT_PGSQL_VERSION) \
		-DSHOULD_BUILD_DOC=ON

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# remove translations of unbuilt stuff
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/kexiforms_mapwidgetplugin.mo

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
https://download.kde.org/stable/kexi/src/@PACKAGE@-([\d.]+)\.tar\.xz
